
package de.ivu.elect.presentation.veranstaltung.form;

import java.io.Serializable;

import javax.inject.Inject;

import de.ivu.elect.business.veranstaltung.entity.Teilnahme;
import de.ivu.elect.business.veranstaltung.entity.TeilnahmeConstants;
import de.ivu.elect.jee.presentation.dynamicform.FormBuilder;
import de.ivu.elect.presentation.person.AnsprechpartnerViewFormBuilder;

public class TeilnahmePropertyBuilder implements Serializable {

  private static final long serialVersionUID = 1L;

  @Inject
  private AnsprechpartnerViewFormBuilder ansprechpartnerViewFormBuilder;

  public TeilnahmePropertyBuilder() {
    super();
  }

  public void addProperties(FormBuilder formBuilder, Teilnahme teilnahme) {
    formBuilder.addProperty(teilnahme.getProperties().getTeilnehmerStatusProperty());
    formBuilder.addProperty(teilnahme.getProperties().getTeilnehmerRolleProperty());
    formBuilder.addProperty(teilnahme.getProperties().getBemerkungProperty());

    formBuilder.addSeparator(TeilnahmeConstants.MESSAGE_KEY_PERSONENDATEN_ID_EINZAHL);

    ansprechpartnerViewFormBuilder.addProperties(formBuilder, teilnahme.getPersonendaten(), true);
  }
}
